package me.wazup.hideandseek.commands.user;

import java.util.Iterator;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class StatsCommand extends SubCommand
{
    public StatsCommand() {
        super((String)null, true, "<Player>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        Player player;
        if (array.length > 1) {
            player = Bukkit.getPlayer(array[1]);
        }
        else {
            if (!(commandSender instanceof Player)) {
                return false;
            }
            player = (Player)commandSender;
        }
        if (player == null) {
            commandSender.sendMessage((String)customization.messages.get("no_player_found"));
            return true;
        }
        final Iterator iterator = hideAndSeek.playerData.get(player.getName()).getStats(player).iterator();
        while (iterator.hasNext()) {
            commandSender.sendMessage((String)iterator.next());
        }
        return true;
    }
}
